> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Events

> Lists the events a webhook endpoint can subscribe to.

Requires the `webhooks:read` scope. Returns the current event vocabulary you can subscribe an endpoint to. See [Webhooks overview](/api-reference/webhooks/overview#available-events) for what each event means.

### Response

<ResponseField name="data" type="array[string]">
  The list of available event names.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.audienceful.com/v2/webhook-events' \
  --header 'X-Api-Key: <your-api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.audienceful.com/v2/webhook-events"
  headers = {
      "X-Api-Key": "<your-api-key>",
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.audienceful.com/v2/webhook-events", {
    method: "GET",
    headers: {
      "X-Api-Key": "<your-api-key>",
    },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": [
      "audience.member_added",
      "audience.member_removed",
      "bulk_email.sent",
      "person.created",
      "person.deleted",
      "person.unsubscribed",
      "person.updated"
    ]
  }
  ```
</ResponseExample>
